Subject: Re: [PATCH v2 2/3] nvme-tcp: support specifying the congestion-control

From: Mingbao Sun <[email-masked]>
Date: Fri, 25 Mar 2022 22:46:54 +0800

Hope the 3 combinations can support the claims in the commit message.

Since for the later 2 combinations, due to packet dropping and
timeout-retransmission, the bandwidth of each TX node could suddenly
drop a few hundred MB/S. 
And on the RX node, the total bandwidth can not reach to the full link
bandwidth (which is about 6 GB/S).
.
In contrast, for the first combination, the bandwidth of each TX node
is stable at ~ 2GB/S.
And on the RX node, the total bandwidth reached to the full link bandwidth.
And no packet dropping occurs on the 2 switches.
This is even competitive to the performance of RDMA.